Announcement

Collapse
No announcement yet.

Cannot Upgrade from Beta 24 to 25 Error

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Cannot Upgrade from Beta 24 to 25 Error

    I've downloaded the latest Beta 25 (twice) and uploaded all of the files (twice) and run the upgrade script three times and it gets stuck on the last leg (13) and throws up this error:

    Action Required


    Unexpected Text:

    <?xml version="1.0" encoding="windows-1252"?>

    Nothing else just that.

    Any ideas?

  • #2
    Same problem here

    Comment


    • #3
      https://www.vbulletin.com/forum/show...=1#post2375425
      Dutch Online Computer hulp - www.pctuts.be

      Comment


      • #4
        Not wishing to appear ungrateful, but did you read my first post.

        I've already downloaded the files twice to different locations on my HD, uploaded them twice and ran the upgrade program three times with the same result. I did this because I actually read the post you have linked to, so what's in that post is a moot point and one that does not resolve the problem.

        I'm not bothered about the content on the site as it is just a test site, but I do want to keep the members who have registered so they don't have to go through the pain of registering again. If anyone can tell me which files I need to save in the database to protect the members I will do a fresh install and just restore the members, if that's possible.

        Comment


        • #5
          Do you have any customised templates?

          If so, revert them (take copies first!) and then run the upgrade again, it should complete this time.

          You may have to revert each template manually, I know the "Revert All" option wasn't working a few betas back, not sure if it's been fixed yet.
          MARK.B | vBULLETIN SUPPORT

          TalkNewsUK - My vBulletin 5.5.4 Demo
          AdminAmmo - My Cloud Demo

          Comment


          • #6
            I would also suggest turning off Templates in the File System if you have that turned on. Settings -> Options -> Style & Language Settings.

            Try the upgrade and see if it works. Please report back if it does so we can have it investigated.
            Translations provided by Google.

            Wayne Luke
            The Rabid Badger - a vBulletin Cloud customization and demonstration site.
            vBulletin 5 Documentation - Updated every Friday. Report issues here.
            vBulletin 5 API - Full / Mobile
            I am not currently available for vB Messenger Chats.

            Comment


            • #7
              The only template customised was the Back to Top I reverted that, Templates in the File System is not on so no need to change that.

              I've checked all of the templates and there are no modified templates.

              Ran the upgrade again and it went straight to step 13, hung there for a while processing and:

              Action Required

              Unexpected Text:

              <?xml version="1.0" encoding="windows-1252"?>


              Comment


              • #8
                This issue continues, however my site shows that it is running Beta 25, despite step 13 failing to complete. What leaves me wondering is has it actually completed the update or will there still be some parts that need updating. I've tried re-running the upgrade and upload the files again, but it still insists on throwing that error up on step 13.

                Comment


                • #9
                  If you're in the final upgrade steps, then yes the version number has already been updated. The final upgrade steps reimport XML files that define features of the site including style, language, widgets, pages, etc...

                  Step 13 is reimporting the Style in the Final Upgrade script. You can import this from your AdminCP under Styles & Templates -> Upload / Download Styles. Just leave the fields with their defaults in the Upload form and submit it. Do you get a similar error here?
                  Translations provided by Google.

                  Wayne Luke
                  The Rabid Badger - a vBulletin Cloud customization and demonstration site.
                  vBulletin 5 Documentation - Updated every Friday. Report issues here.
                  vBulletin 5 API - Full / Mobile
                  I am not currently available for vB Messenger Chats.

                  Comment


                  • #10
                    Did as you asked and no problems reported, hopefully this will have completed the update.

                    Comment


                    • #11
                      I got the same error as above upgrading from beta 25 to beta 26.

                      Another strange anomaly occurred when I uploaded all the new files and started the upgrade process; I was told that I was already on Beta 26 and did I want to upgrade from 25 to 26 or upgrade to 26. Seeing as how Beta 26 was only just released I found it odd that I had to choose which upgrade to complete.

                      Comment


                      • #12
                        Have you anything at all in the template css_additional.css?
                        Or any changes to any templates with .css at the end?

                        I have found that I sometimes cannot complete the last stage of vB5 upgrades unless I revert these first. Not every time though.
                        MARK.B | vBULLETIN SUPPORT

                        TalkNewsUK - My vBulletin 5.5.4 Demo
                        AdminAmmo - My Cloud Demo

                        Comment


                        • #13
                          Yes there was code in the additional.css, removed it and revert two other css files (though I can't remember changing anything in them lol) re-run the upgrade and it completed without errors.

                          Thanks Mark.

                          Comment


                          • #14
                            I would suspect this is causing the upgrader to hit some limit on your server. If you look at your phpinfo (under Maintenance in the AdminCP), do you have xdebug installed?
                            Translations provided by Google.

                            Wayne Luke
                            The Rabid Badger - a vBulletin Cloud customization and demonstration site.
                            vBulletin 5 Documentation - Updated every Friday. Report issues here.
                            vBulletin 5 API - Full / Mobile
                            I am not currently available for vB Messenger Chats.

                            Comment


                            • #15
                              Hi Mark, checked the phpinfo and no xdebug is installed. As a matter of interest I'm running the beta site on Nimbus Hosting VPS.

                              Comment

                              Related Topics

                              Collapse

                              Working...
                              X